--[[

$Revision: 24 $

(C) Copyright 2009 Bethink (bethink at naef dot com)
See LICENSE.txt for license terms.

]]


----------------------------------------------------------------------
-- Initialization

local L = LibStub("AceLocale-3.0"):GetLocale("BossNotesTactics")
BossNotesTactics = LibStub("AceAddon-3.0"):NewAddon("BossNotesTactics")

	
----------------------------------------------------------------------
-- Core handlers

-- One-time initialization
function BossNotesTactics:OnInitialize()
	BossNotes:RegisterCollection("Tactics Collection", BossNotesTactics_Query)
end


----------------------------------------------------------------------
-- Functions

-- Returns the tactics note
function BossNotesTactics_Query (key)
	local note = L[key]
	if note == key then
		note = nil
	end
	return note
end
